Name:		psi
Version:	0.9
Release:	0.fdr.4.rh90
Summary:	Jabber client using QT3
Epoch:          0
License:	GPL
Group:		Applications/Internet
URL:		http://psi.affinix.com/
Source:		%name-%version.tar.bz2
Source1:	%name-icons.tar.bz2
Source2:	qssl-2.0.tar.bz2
Patch0:		%name-gnupg.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	qt-devel >= 1:3.1
BuildRequires:  XFree86-devel
BuildRequires:  zlib-devel
BuildRequires:  unzip
BuildRequires:  desktop-file-utils
BuildRequires:	openssl-devel
Requires:	sox

# Iconsets
Source10:	psi_iconset_dudes.zip
Source11:	psi_iconset_aqualight.zip
Source12:	psi_iconset_businessblack.zip
Source13:	psi_iconset_aquaploum.zip
Source14:	psi_iconset_bluekeramik.zip
Source15:	psi_iconset_thomas.zip
Source16:	psi_iconset_crystal.zip
Source17:	psi_iconset_jilly.zip
Source18:	psi_iconset_smiley.zip
Source19:	psi_iconset_mike.zip
Source20:	psi_iconset_licq.zip
Source21:	psi_iconset_icq2.zip
Source22:	psi_iconset_gabber.zip
Source23:	psi_iconset_cosmic.zip
Source24:	psi_iconset_beos.zip

# Language packs
Source50:	psi_pl.qm.bz2
Source51:	psi_sr.qm.bz2
Source52:	psi_fr.qm.bz2
Source53:	psi_eo.qm.bz2
Source54:	psi_sr@Latn.qm.bz2
Source55:	psi_fi.qm.bz2
Source56:	psi_cs.qm.bz2
Source57:	psi_ru.qm.bz2
Source58:	psi_de.qm.bz2
Source59:	psi_es.qm.bz2
Source60:	psi_mk.qm.bz2
Source61:	psi_nl.qm.bz2
Source62:	psi_sk.qm.bz2

%description
Psi is the premiere Instant Messaging application designed for Microsoft
Windows, Apple Mac OS X and GNU/Linux. Built upon an open protocol named
Jabber, Psi is a fast and lightweight messaging client that utilises the best
in open source technologies. Psi contains all the features necessary to chat,
with no bloated extras that slow your computer down. The Jabber protocol
provides gateways to other protocols as AIM, ICQ, MSN and Yahoo!.

%package -n %name-i18n
Summary:	Language packs for PSI
Group:		Applications/Internet
Requires:	psi >= 0:0.9

%description -n %name-i18n
This package adds internationalization in PSI.
Supported languages are :
- Polish (pl)
- Serbian (sr)
- French (fr)
- Esperanto (eo)
- Serbian Latin (sr_lat)
- Finnish (fi)
- Czech (cs)
- Russian (ru)
- German (de)
- Spanish (es)
- Macedonian (mk)
- Dutch (nl)
- Slovak (sk)


%prep
%setup -q
%setup -q -T -D -a1
%setup -q -T -D -a2
%patch -p1 -b .psi-gnupg.patch

%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh

# Compile SSL support
cd qssl-2.0
qmake qssl.pro
make
cd ..

# Compile PSI
./configure \
	--prefix=%{_prefix}			\
	--bindir=%{_bindir}			\
	--libdir=%{_datadir}/%name	        \
	--qtdir=$QTDIR

%__make


%install
%__rm -rf $RPM_BUILD_ROOT

# psi doesn't have a make install, and the install script
# copies the files to /usr/local - we don't want that
%__mkdir_p $RPM_BUILD_ROOT%{_bindir}
%__mkdir_p $RPM_BUILD_ROOT%{_datadir}/%name/{image,iconsets,sound,certs}
%__cp -p psi $RPM_BUILD_ROOT%{_bindir}/%name
%__cp -p -r {image,iconsets,sound,certs} $RPM_BUILD_ROOT%{_datadir}/%name

## Install iconsets
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/dudes %SOURCE10
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/aqualight %SOURCE11
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/businessblack %SOURCE12
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/aquaploum %SOURCE13
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/bluekeramik %SOURCE14
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/thomas %SOURCE15
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/crystal %SOURCE16
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/jilly %SOURCE17
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/smiley %SOURCE18
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/mike %SOURCE19
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/licq %SOURCE20
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/icq2 %SOURCE21
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/gabber %SOURCE22
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/cosmic %SOURCE23
%__unzip -d$RPM_BUILD_ROOT%{_datadir}/%name/iconsets/beos %SOURCE24

# Install language packages
%__bzip2 -dck %{SOURCE50} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_pl.qm
%__bzip2 -dck %{SOURCE51} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sr.qm
%__bzip2 -dck %{SOURCE52} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_fr.qm
%__bzip2 -dck %{SOURCE53} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_eo.qm
%__bzip2 -dck %{SOURCE54} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sr@Latn.qm
%__bzip2 -dck %{SOURCE55} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_fi.qm
%__bzip2 -dck %{SOURCE56} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_cs.qm
%__bzip2 -dck %{SOURCE57} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_ru.qm
%__bzip2 -dck %{SOURCE58} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_de.qm
%__bzip2 -dck %{SOURCE59} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_es.qm
%__bzip2 -dck %{SOURCE60} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_mk.qm
%__bzip2 -dck %{SOURCE61} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_nl.qm
%__bzip2 -dck %{SOURCE62} > $RPM_BUILD_ROOT%{_datadir}/%name/%{name}_sk.qm

# Menu
desktop-file-install --vendor fedora \
                     --dir $RPM_BUILD_ROOT%{_datadir}/applications\
                     --add-category Application\
                     --add-category X-Fedora\
                     --add-category Network\
                     %{name}.desktop

# icon
install -p -D -m 644 %{name}48.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/%name.png
install -p -D -m 644 %{name}32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%name.png
install -p -D -m 644 %{name}16.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/16x16/apps/%name.png

# SSL Support
%__cp -p qssl-2.0/libqssl.so $RPM_BUILD_ROOT%{_datadir}/%name/


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc README
%attr(0755,root,root) %{_bindir}/psi
%{_datadir}/%{name}
%exclude %{_datadir}/%{name}/*.qm
%_datadir/applications/*.desktop
%{_datadir}/icons/hicolor/16x16/apps/%name.png
%{_datadir}/icons/hicolor/32x32/apps/%name.png
%{_datadir}/icons/hicolor/48x48/apps/%name.png

%files -n %name-i18n 
%defattr(-,root,root)
%{_datadir}/%name/%{name}_*.qm


%changelog
* Sat Nov 22 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.4
- add Requires: sox to play sound (thanks to you-know-who ;-) )
- fix date in changelog.

* Fri Nov 21 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.3
- Thanks to Michael Schwendt (again :-) ) :
  * exclude lang files from main package
  * preserve timestamps when possible
  * fix .desktop file
  * add ssl support

* Tue Nov 18 2003 Aurelien Bompard <gauret[AT]free.fr> - 0:0.9-0.fdr.2
- Thanks to Michael Schwendt :
  * group language packs into one subpackage.
  * added epoch=0
  * added environnement variables to ./configure
  * added BuildRequires: XFree86-devel

* Wed Nov 12 2003 Aurelien Bompard <gauret[AT]free.fr> - 0.9-0.fdr.1
- port to Fedora (from Mandrake)
